<template>
  <ModuleBase :type="data.type">
    <template #content>
      <hr :style="settingStyle" />
    </template>
  </ModuleBase>
</template>

<script>
import { getDividerData } from '@/views/book/courseware/data/divider';

import ModuleMixin from '../../common/ModuleMixin';

export default {
  name: 'DividerPage',
  mixins: [ModuleMixin],
  data() {
    return {
      data: getDividerData(),
    };
  },
  computed: {
    settingStyle() {
      return {
        margin: `${this.data.property.height / 2}px 0`,
        border: 'none',
        borderTop: `1px ${this.data.property.line_type} #ebebeb`,
      };
    },
  },
  methods: {},
};
</script>
